import { Button, Dialog, DialogActions, DialogTitle } from "@mui/material";
import { UploadedFile } from "../api/FileApi";
import { filesize } from "filesize";

export function FileViewerDialog(p: {
  open: boolean;
  onClose: () => void;
  file: UploadedFile;
}): React.ReactElement {
  return (
    <Dialog open={p.open} onClose={p.onClose}>
      <DialogTitle>
        {p.file.file_name} ({filesize(p.file.file_size)})
      </DialogTitle>
      TODO
      <DialogActions>
        <Button onClick={p.onClose}>Close</Button>
      </DialogActions>
    </Dialog>
  );
}
